> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getdeckle.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v1/pdf/info

> Get metadata and information about a PDF document.

# PDF Info

`POST https://api.getdeckle.dev/v1/pdf/info`

Extract metadata from a PDF document including page count, title, author, and other properties.

## Request Body

| Parameter | Type | Required | Description |
| - | - | - | - |
| `pdf` | string | Yes | Base64-encoded PDF document |

## Example

```bash theme={null}
curl -X POST https://api.getdeckle.dev/v1/pdf/info \
  -H "Authorization: Bearer dk_live_sk_..." \
  -H "Content-Type: application/json" \
  -d '{
    "pdf": "<base64-encoded-pdf>"
  }'
```

## Response

```json theme={null}
{
  "pages": 5,
  "title": "Quarterly Report",
  "author": "Acme Corp",
  "subject": "",
  "creator": "Deckle API",
  "producer": "Deckle",
  "creation_date": "2026-03-01T12:00:00.000Z",
  "modification_date": "2026-03-10T08:30:00.000Z",
  "file_size": 245000
}
```

## Errors

| Status | Code | Description |
| - | - | - |
| 400 | `VALIDATION_ERROR` | Invalid or missing PDF, or PDF exceeds size limit |
| 401 | `UNAUTHORIZED` | Invalid or missing API key |
| 429 | `RATE_LIMITED` | Too many requests |
| 500 | `INTERNAL_ERROR` | Server error reading PDF |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.